Page MenuHomePhabricator

[DebugInfo] Rename section identifiers which are deprecated in DWARFv5. NFC.
ClosedPublic

Authored by ikudrin on Mar 31 2020, 7:01 AM.

Details

Summary

This is a preparation for an upcoming patch which adds support for DWARFv5 unit index sections. The patch adds tag "_EXT_" to identifiers which reference sections that are deprecated in the DWARFv5 standard.

See D75929 for the discussion.

Diff Detail

Event Timeline

ikudrin created this revision.Mar 31 2020, 7:01 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 31 2020, 7:02 AM
ikudrin updated this revision to Diff 254802.Apr 3 2020, 7:51 AM
  • Rebased to the tip.
dblaikie accepted this revision.Apr 5 2020, 4:40 PM

Sure - looks good

This revision is now accepted and ready to land.Apr 5 2020, 4:40 PM
This revision was automatically updated to reflect the committed changes.